Subject: Re: bug#36083: 26.2; Bell every 10 seconds with message "<noname> is undefined"

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Jun 2019 17:13:57 +0300

> From: Rick McCarty <[email-masked]>
> Date: Tue, 4 Jun 2019 00:18:28 +0000
> 
> In a new install of Windows 10, every 10 seconds the bell rings in Emacs, and the message "<noname> is
> undefined" is printed. It only happens when focus is on the Emacs window. This makes Emacs completely
> unusable.

This is produced if Emacs receives the 'noname' (VK_NONAME) pseudo-key
key-press event from Windows.  It sounds like DishAnywhere and
SlingPlayer are sending these pseudo-keys to make sure the system
doesn't go to sleep when these applications are active.

Does typing the below inside Emacs make the problem go away?

  M-: (define-key global-map [noname] 'ignore) RET

> This is not a new thing - I have seen it before on Vista, Win 7, and another Windows 10 system. I've never
> been able to figure out what is going on - instead I've just installed XEmacs and used that.

If you see this since Vista, it would mean you are aware of the
problem for at least 10 years, maybe longer.  I can only say it's a
pity you didn't report this earlier.  Please in the future try to
report problems with smaller delays, thanks in advance.